## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanIndentWriter Class Template Reference

`#include <XalanIndentWriter.hpp>`

Collaboration diagram for XalanIndentWriter:

[legend]
List of all members.

## Public Types

- typedef XalanDOMString::size_type size_type
- typedef XalanVector<bool> BoolStackType
- typedef WhiteSpaceWriter::writer_type writer_type

## Public Methods

- XalanIndentWriter (writer_type &writer, size_type ident)
- ~XalanIndentWriter ()
- void setIndent (size_type value)
- size_type getIndent () const
- void indent ()
- void increaseIndent ()
- void decreaseIndent ()
- void setStartNewLine (bool value)
- void outputLineSep ()
    Output a line break. More...
- void setPrevText (bool value)
- void setPreserve (bool value)
- void pop_preserve ()
- void push_preserve ()

### template<class WhiteSpaceWriter, class NewLineWriter> class XalanIndentWriter

## Member Typedef Documentation

template<class WhiteSpaceWriter, class NewLineWriter>
typedef XalanVector< bool > XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::BoolStackType<bool>

template<class WhiteSpaceWriter, class NewLineWriter>
typedef XalanDOMString::size_type XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::size_type

template<class WhiteSpaceWriter, class NewLineWriter>
typedef WhiteSpaceWriter::writer_type XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::writer_type

## Constructor & Destructor Documentation

template<class WhiteSpaceWriter, class NewLineWriter>
XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::XalanIndentWriter<WhiteSpaceWriter, NewLineWriter> ( | writer_type & writer,
| size_type ident )

template<class WhiteSpaceWriter, class NewLineWriter>
XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::~XalanIndentWriter<WhiteSpaceWriter, NewLineWriter> ( | )

## Member Function Documentation

template<class WhiteSpaceWriter, class NewLineWriter>
void XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::decreaseIndent ( | )

template<class WhiteSpaceWriter, class NewLineWriter>
size_type XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::getIndent ( | ) const

template<class WhiteSpaceWriter, class NewLineWriter>
void XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::increaseIndent ( | )

template<class WhiteSpaceWriter, class NewLineWriter>
void XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::indent ( | )

template<class WhiteSpaceWriter, class NewLineWriter>
void XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::outputLineSep ( | )

| Output a line break.

template<class WhiteSpaceWriter, class NewLineWriter>
void XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::pop_preserve ( | )

template<class WhiteSpaceWriter, class NewLineWriter>
void XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::push_preserve ( | )

template<class WhiteSpaceWriter, class NewLineWriter>
void XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::setIndent ( | size_type value )

template<class WhiteSpaceWriter, class NewLineWriter>
void XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::setPreserve ( | bool value )

template<class WhiteSpaceWriter, class NewLineWriter>
void XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::setPrevText ( | bool value )

template<class WhiteSpaceWriter, class NewLineWriter>
void XalanIndentWriter<WhiteSpaceWriter, NewLineWriter>::setStartNewLine ( | bool value )

The documentation for this class was generated from the following file:

- XalanIndentWriter.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.